package pack

import (
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpSpecialTaskSketchListRequestToCondition(req *http_model.SpecialTaskSketchListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		ProjectId:        req.ProjectId,
		SketchStatus:     conv.MustInt64(req.SketchStatus),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
